Commit 1f491f09 authored by René Fritze's avatar René Fritze Committed by René Fritze

add gmsh as python dependency

parent 7f6deeff
......@@ -5,7 +5,7 @@
# the container, local dev needs it in path from mounted src
# we trick docker into fulfilling both roles via a conditional ONBUILD
# if you want to use the local dev setup, see docker/docker-compose.yml
ARG BASE=pymor/jupyter_py3.7:6482589aa9345c76ae77437661ecb4d67a1963d4
ARG BASE=pymor/jupyter_py3.7:06d87fc5395c39231eb05b6df06266dab9a4dbf9
ARG BUILD_ENV=binder
FROM $BASE as image_binder
......
This diff is collapsed.
......@@ -2,6 +2,6 @@ DOCKER_BASE_PYTHON=3.7
PYMOR_TEST_SCRIPT=vanilla
PYPI_MIRROR=stable
PYMOR_TEST_OS=debian_buster
PYPI_MIRROR_TAG=9e10c0ed1e4756107c9899ca617319b24753b5e8
CI_IMAGE_TAG=6482589aa9345c76ae77437661ecb4d67a1963d4
PYPI_MIRROR_TAG=06d87fc5395c39231eb05b6df06266dab9a4dbf9
CI_IMAGE_TAG=06d87fc5395c39231eb05b6df06266dab9a4dbf9
PYMOR_HYPOTHESIS_PROFILE=dev
......@@ -31,6 +31,7 @@ install_requires = ['scipy>=1.1;python_version < "3.8"','scipy>=1.3.3;python_ver
install_suggests = {'ipython>=5.0': 'an enhanced interactive python shell',
'ipyparallel>=6.2.5': 'required for pymor.parallel.ipython',
'matplotlib': 'needed for error plots in demo scipts',
'gmsh': 'this downloads the proper Gmsh binary',
'meshio==4.2.0': 'needed to import Gmsh grids',
'pyopengl': 'fast solution visualization for builtin discretizations (PySide also required)',
'pyamg': 'algebraic multigrid solvers',
......
......@@ -7,6 +7,7 @@ bash_kernel
cython>=0.28
diskcache
docopt-ng
gmsh
https://pymor.github.io/wheels/pymess-1.0.0-cp36-cp36m-manylinux1_x86_64.whl ; python_version == "3.6" and "linux" in sys_platform
https://pymor.github.io/wheels/pymess-1.0.0-cp37-cp37m-manylinux1_x86_64.whl ; python_version == "3.7" and "linux" in sys_platform
ipyparallel>=6.2.5
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment